# Orkut API . communityPollVotes

## Instance Methods

Votes on a community poll.

### Method Details

`insert(communityId, pollId, body)`

    Votes on a community poll.

    Args:
      communityId: integer, The ID of the community whose poll is being voted. (required)
      pollId: string, The ID of the poll being voted. (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "kind": "orkut#communityPollVote", # Identifies this resource as a community poll vote. Value: "orkut#communityPollVote"
        "optionIds": [ # The ids of the voted options.
          42,
        ],
        "isVotevisible": True or False, # Whether this vote is visible to other users or not.
      }

    Returns:
      An object of the form:

        {
          "kind": "orkut#communityPollVote", # Identifies this resource as a community poll vote. Value: "orkut#communityPollVote"
          "optionIds": [ # The ids of the voted options.
            42,
          ],
          "isVotevisible": True or False, # Whether this vote is visible to other users or not.
        }